org.apache.tinkerpop.gremlin.language.grammar

## Class TraversalPredicateVisitor

- java.lang.Object
- - org.antlr.v4.runtime.tree.AbstractParseTreeVisitor<T>
  - - org.apache.tinkerpop.gremlin.language.grammar.GremlinBaseVisitor<P>
    - - org.apache.tinkerpop.gremlin.language.grammar.TraversalPredicateVisitor

- All Implemented Interfaces:
    org.antlr.v4.runtime.tree.ParseTreeVisitor<P>, GremlinVisitor<P>

      public class TraversalPredicateVisitor
      extends GremlinBaseVisitor<P>

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TraversalPredicateVisitor` | `getInstance()`
    `P` | `visitTraversalPredicate_between(GremlinParser.TraversalPredicate_betweenContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_between()`.
    `P` | `visitTraversalPredicate_containing(GremlinParser.TraversalPredicate_containingContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_containing()`.
    `P` | `visitTraversalPredicate_endingWith(GremlinParser.TraversalPredicate_endingWithContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_endingWith()`.
    `P` | `visitTraversalPredicate_eq(GremlinParser.TraversalPredicate_eqContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_eq()`.
    `P` | `visitTraversalPredicate_gt(GremlinParser.TraversalPredicate_gtContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_gt()`.
    `P` | `visitTraversalPredicate_gte(GremlinParser.TraversalPredicate_gteContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_gte()`.
    `P` | `visitTraversalPredicate_inside(GremlinParser.TraversalPredicate_insideContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_inside()`.
    `P` | `visitTraversalPredicate_lt(GremlinParser.TraversalPredicate_ltContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_lt()`.
    `P` | `visitTraversalPredicate_lte(GremlinParser.TraversalPredicate_lteContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_lte()`.
    `P` | `visitTraversalPredicate_neq(GremlinParser.TraversalPredicate_neqContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_neq()`.
    `P` | `visitTraversalPredicate_not(GremlinParser.TraversalPredicate_notContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_not()`.
    `P` | `visitTraversalPredicate_notContaining(GremlinParser.TraversalPredicate_notContainingContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_notContaining()`.
    `P` | `visitTraversalPredicate_notEndingWith(GremlinParser.TraversalPredicate_notEndingWithContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_notEndingWith()`.
    `P` | `visitTraversalPredicate_notStartingWith(GremlinParser.TraversalPredicate_notStartingWithContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_notStartingWith()`.
    `P` | `visitTraversalPredicate_outside(GremlinParser.TraversalPredicate_outsideContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_outside()`.
    `P` | `visitTraversalPredicate_startingWith(GremlinParser.TraversalPredicate_startingWithContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_startingWith()`.
    `P` | `visitTraversalPredicate_within(GremlinParser.TraversalPredicate_withinContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_within()`.
    `P` | `visitTraversalPredicate_without(GremlinParser.TraversalPredicate_withoutContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_without()`.
    `P` | `visitTraversalPredicate(GremlinParser.TraversalPredicateContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate()`.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.language.grammar.GremlinBaseVisitor

      `visitBooleanLiteral, visitChainedParentOfGraphTraversal, visitChainedTraversal, visitConnectedComponentConstants, visitConnectedComponentStringConstant, visitDateLiteral, visitEmptyQuery, visitFloatLiteral, visitGenericLiteral, visitGenericLiteralCollection, visitGenericLiteralExpr, visitGenericLiteralList, visitGenericLiteralMap, visitGenericLiteralRange, visitGremlinStringConstants_connectedComponentStringConstants_component, visitGremlinStringConstants_connectedComponentStringConstants_edges, visitGremlinStringConstants_connectedComponentStringConstants_propertyName, visitGremlinStringConstants_ioOptionsStringConstants_graphml, visitGremlinStringConstants_ioOptionsStringConstants_graphson, visitGremlinStringConstants_ioOptionsStringConstants_gryo, visitGremlinStringConstants_ioOptionsStringConstants_reader, visitGremlinStringConstants_ioOptionsStringConstants_writer, visitGremlinStringConstants_pageRankStringConstants_edges, visitGremlinStringConstants_pageRankStringConstants_propertyName, visitGremlinStringConstants_pageRankStringConstants_times, visitGremlinStringConstants_peerPressureStringConstants_edges, visitGremlinStringConstants_peerPressureStringConstants_propertyName, visitGremlinStringConstants_peerPressureStringConstants_times, visitGremlinStringConstants_shortestPathStringConstants_distance, visitGremlinStringConstants_shortestPathStringConstants_edges, visitGremlinStringConstants_shortestPathStringConstants_includeEdges, visitGremlinStringConstants_shortestPathStringConstants_maxDistance, visitGremlinStringConstants_shortestPathStringConstants_target, visitGremlinStringConstants_withOptionsStringConstants_all, visitGremlinStringConstants_withOptionsStringConstants_ids, visitGremlinStringConstants_withOptionsStringConstants_indexer, visitGremlinStringConstants_withOptionsStringConstants_keys, visitGremlinStringConstants_withOptionsStringConstants_labels, visitGremlinStringConstants_withOptionsStringConstants_list, visitGremlinStringConstants_withOptionsStringConstants_map, visitGremlinStringConstants_withOptionsStringConstants_none, visitGremlinStringConstants_withOptionsStringConstants_tokens, visitGremlinStringConstants_withOptionsStringConstants_values, visitGremlinStringConstants, visitIntegerLiteral, visitIoOptionsStringConstant, visitIoOptionsStringConstants, visitNestedTraversal, visitNestedTraversalExpr, visitNestedTraversalList, visitNullLiteral, visitPageRankStringConstant, visitPageRankStringConstants, visitPeerPressureStringConstant, visitPeerPressureStringConstants, visitQuery, visitQueryList, visitRootTraversal, visitShortestPathStringConstant, visitShortestPathStringConstants, visitStringLiteral, visitStringLiteralExpr, visitStringLiteralList, visitTerminatedTraversal, visitTransactionPart, visitTraversalBiFunction, visitTraversalCardinality, visitTraversalColumn, visitTraversalComparator, visitTraversalDirection, visitTraversalFunction, visitTraversalMethod_addE_String, visitTraversalMethod_addE_Traversal, visitTraversalMethod_addV_Empty, visitTraversalMethod_addV_String, visitTraversalMethod_addV_Traversal, visitTraversalMethod_aggregate_Scope_String, visitTraversalMethod_aggregate_String, visitTraversalMethod_and, visitTraversalMethod_as, visitTraversalMethod_barrier_Consumer, visitTraversalMethod_barrier_Empty, visitTraversalMethod_barrier_int, visitTraversalMethod_both, visitTraversalMethod_bothE, visitTraversalMethod_bothV, visitTraversalMethod_branch, visitTraversalMethod_by_Comparator, visitTraversalMethod_by_Empty, visitTraversalMethod_by_Function_Comparator, visitTraversalMethod_by_Function, visitTraversalMethod_by_Order, visitTraversalMethod_by_String_Comparator, visitTraversalMethod_by_String, visitTraversalMethod_by_T, visitTraversalMethod_by_Traversal_Comparator, visitTraversalMethod_by_Traversal, visitTraversalMethod_cap, visitTraversalMethod_choose_Function, visitTraversalMethod_choose_Predicate_Traversal_Traversal, visitTraversalMethod_choose_Predicate_Traversal, visitTraversalMethod_choose_Traversal_Traversal_Traversal, visitTraversalMethod_choose_Traversal_Traversal, visitTraversalMethod_choose_Traversal, visitTraversalMethod_coalesce, visitTraversalMethod_coin, visitTraversalMethod_connectedComponent, visitTraversalMethod_constant, visitTraversalMethod_count_Empty, visitTraversalMethod_count_Scope, visitTraversalMethod_cyclicPath, visitTraversalMethod_dedup_Scope_String, visitTraversalMethod_dedup_String, visitTraversalMethod_drop, visitTraversalMethod_elementMap, visitTraversalMethod_emit_Empty, visitTraversalMethod_emit_Predicate, visitTraversalMethod_emit_Traversal, visitTraversalMethod_filter_Predicate, visitTraversalMethod_filter_Traversal, visitTraversalMethod_flatMap, visitTraversalMethod_fold_Empty, visitTraversalMethod_fold_Object_BiFunction, visitTraversalMethod_from_String, visitTraversalMethod_from_Traversal, visitTraversalMethod_group_Empty, visitTraversalMethod_group_String, visitTraversalMethod_groupCount_Empty, visitTraversalMethod_groupCount_String, visitTraversalMethod_has_String_Object, visitTraversalMethod_has_String_P, visitTraversalMethod_has_String_String_Object, visitTraversalMethod_has_String_String_P, visitTraversalMethod_has_String_Traversal, visitTraversalMethod_has_String, visitTraversalMethod_has_T_Object, visitTraversalMethod_has_T_P, visitTraversalMethod_has_T_Traversal, visitTraversalMethod_hasId_Object_Object, visitTraversalMethod_hasId_P, visitTraversalMethod_hasKey_P, visitTraversalMethod_hasKey_String_String, visitTraversalMethod_hasLabel_P, visitTraversalMethod_hasLabel_String_String, visitTraversalMethod_hasNot, visitTraversalMethod_hasValue_Object_Object, visitTraversalMethod_hasValue_P, visitTraversalMethod_id, visitTraversalMethod_identity, visitTraversalMethod_in, visitTraversalMethod_index, visitTraversalMethod_inE, visitTraversalMethod_inject, visitTraversalMethod_inV, visitTraversalMethod_is_Object, visitTraversalMethod_is_P, visitTraversalMethod_key, visitTraversalMethod_label, visitTraversalMethod_limit_long, visitTraversalMethod_limit_Scope_long, visitTraversalMethod_local, visitTraversalMethod_loops_Empty, visitTraversalMethod_loops_String, visitTraversalMethod_map, visitTraversalMethod_match, visitTraversalMethod_math, visitTraversalMethod_max_Empty, visitTraversalMethod_max_Scope, visitTraversalMethod_mean_Empty, visitTraversalMethod_mean_Scope, visitTraversalMethod_min_Empty, visitTraversalMethod_min_Scope, visitTraversalMethod_not, visitTraversalMethod_option_Object_Traversal, visitTraversalMethod_option_Predicate_Traversal, visitTraversalMethod_option_Traversal, visitTraversalMethod_optional, visitTraversalMethod_or, visitTraversalMethod_order_Empty, visitTraversalMethod_order_Scope, visitTraversalMethod_otherV, visitTraversalMethod_out, visitTraversalMethod_outE, visitTraversalMethod_outV, visitTraversalMethod_pageRank_double, visitTraversalMethod_pageRank_Empty, visitTraversalMethod_path, visitTraversalMethod_peerPressure, visitTraversalMethod_profile_Empty, visitTraversalMethod_profile_String, visitTraversalMethod_project, visitTraversalMethod_properties, visitTraversalMethod_property_Cardinality_Object_Object_Object, visitTraversalMethod_property_Object_Object_Object, visitTraversalMethod_propertyMap, visitTraversalMethod_range_long_long, visitTraversalMethod_range_Scope_long_long, visitTraversalMethod_read, visitTraversalMethod_repeat_String_Traversal, visitTraversalMethod_repeat_Traversal, visitTraversalMethod_sack_BiFunction, visitTraversalMethod_sack_Empty, visitTraversalMethod_sample_int, visitTraversalMethod_sample_Scope_int, visitTraversalMethod_select_Column, visitTraversalMethod_select_Pop_String_String_String, visitTraversalMethod_select_Pop_String, visitTraversalMethod_select_Pop_Traversal, visitTraversalMethod_select_String_String_String, visitTraversalMethod_select_String, visitTraversalMethod_select_Traversal, visitTraversalMethod_shortestPath, visitTraversalMethod_sideEffect, visitTraversalMethod_simplePath, visitTraversalMethod_skip_long, visitTraversalMethod_skip_Scope_long, visitTraversalMethod_store, visitTraversalMethod_subgraph, visitTraversalMethod_sum_Empty, visitTraversalMethod_sum_Scope, visitTraversalMethod_tail_Empty, visitTraversalMethod_tail_long, visitTraversalMethod_tail_Scope_long, visitTraversalMethod_tail_Scope, visitTraversalMethod_timeLimit, visitTraversalMethod_times, visitTraversalMethod_to_Direction_String, visitTraversalMethod_to_String, visitTraversalMethod_to_Traversal, visitTraversalMethod_toE, visitTraversalMethod_toV, visitTraversalMethod_tree_Empty, visitTraversalMethod_tree_String, visitTraversalMethod_unfold, visitTraversalMethod_union, visitTraversalMethod_until_Predicate, visitTraversalMethod_until_Traversal, visitTraversalMethod_V, visitTraversalMethod_value, visitTraversalMethod_valueMap_boolean_String, visitTraversalMethod_valueMap_String, visitTraversalMethod_values, visitTraversalMethod_where_P, visitTraversalMethod_where_String_P, visitTraversalMethod_where_Traversal, visitTraversalMethod_with_String_Object, visitTraversalMethod_with_String, visitTraversalMethod_write, visitTraversalMethod, visitTraversalOperator, visitTraversalOptionParent, visitTraversalOrder, visitTraversalPop, visitTraversalSackMethod, visitTraversalScope, visitTraversalSelfMethod_none, visitTraversalSelfMethod, visitTraversalSource, visitTraversalSourceSelfMethod_with, visitTraversalSourceSelfMethod_withBulk, visitTraversalSourceSelfMethod_withPath, visitTraversalSourceSelfMethod_withSack, visitTraversalSourceSelfMethod_withSideEffect, visitTraversalSourceSelfMethod_withStrategies, visitTraversalSourceSelfMethod, visitTraversalSourceSpawnMethod_addE, visitTraversalSourceSpawnMethod_addV, visitTraversalSourceSpawnMethod_E, visitTraversalSourceSpawnMethod_inject, visitTraversalSourceSpawnMethod_io, visitTraversalSourceSpawnMethod_V, visitTraversalSourceSpawnMethod, visitTraversalStrategy, visitTraversalStrategyArgs_EdgeLabelVerificationStrategy, visitTraversalStrategyArgs_PartitionStrategy, visitTraversalStrategyArgs_ProductiveByStrategy, visitTraversalStrategyArgs_ReservedKeysVerificationStrategy, visitTraversalStrategyArgs_SubgraphStrategy, visitTraversalStrategyExpr, visitTraversalStrategyList, visitTraversalTerminalMethod_explain, visitTraversalTerminalMethod_hasNext, visitTraversalTerminalMethod_iterate, visitTraversalTerminalMethod_next, visitTraversalTerminalMethod_toBulkSet, visitTraversalTerminalMethod_toList, visitTraversalTerminalMethod_toSet, visitTraversalTerminalMethod_tryNext, visitTraversalTerminalMethod, visitTraversalToken, visitWithOptionsStringConstant, visitWithOptionsStringConstants`

    - ### Methods inherited from class org.antlr.v4.runtime.tree.AbstractParseTreeVisitor

      `aggregateResult, defaultResult, shouldVisitNextChild, visit, visitChildren, visitErrorNode, visitTerminal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.antlr.v4.runtime.tree.ParseTreeVisitor

      `visit, visitChildren, visitErrorNode, visitTerminal`

- - ### Method Detail

    - #### getInstance

          public static TraversalPredicateVisitor getInstance()

    - #### visitTraversalPredicate

          public P visitTraversalPredicate(GremlinParser.TraversalPredicateContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalPredicate()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalPredicate` in interface `GremlinVisitor<P>`
      Overrides:
        `visitTraversalPredicate` in class `GremlinBaseVisitor<P>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_eq

          public P visitTraversalPredicate_eq(GremlinParser.TraversalPredicate_eqContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalPredicate_eq()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalPredicate_eq` in interface `GremlinVisitor<P>`
      Overrides:
        `visitTraversalPredicate_eq` in class `GremlinBaseVisitor<P>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_neq

          public P visitTraversalPredicate_neq(GremlinParser.TraversalPredicate_neqContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalPredicate_neq()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalPredicate_neq` in interface `GremlinVisitor<P>`
      Overrides:
        `visitTraversalPredicate_neq` in class `GremlinBaseVisitor<P>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_lt

          public P visitTraversalPredicate_lt(GremlinParser.TraversalPredicate_ltContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalPredicate_lt()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalPredicate_lt` in interface `GremlinVisitor<P>`
      Overrides:
        `visitTraversalPredicate_lt` in class `GremlinBaseVisitor<P>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_lte

          public P visitTraversalPredicate_lte(GremlinParser.TraversalPredicate_lteContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalPredicate_lte()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalPredicate_lte` in interface `GremlinVisitor<P>`
      Overrides:
        `visitTraversalPredicate_lte` in class `GremlinBaseVisitor<P>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_gt

          public P visitTraversalPredicate_gt(GremlinParser.TraversalPredicate_gtContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalPredicate_gt()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalPredicate_gt` in interface `GremlinVisitor<P>`
      Overrides:
        `visitTraversalPredicate_gt` in class `GremlinBaseVisitor<P>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_gte

          public P visitTraversalPredicate_gte(GremlinParser.TraversalPredicate_gteContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalPredicate_gte()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalPredicate_gte` in interface `GremlinVisitor<P>`
      Overrides:
        `visitTraversalPredicate_gte` in class `GremlinBaseVisitor<P>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_inside

          public P visitTraversalPredicate_inside(GremlinParser.TraversalPredicate_insideContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalPredicate_inside()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalPredicate_inside` in interface `GremlinVisitor<P>`
      Overrides:
        `visitTraversalPredicate_inside` in class `GremlinBaseVisitor<P>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_outside

          public P visitTraversalPredicate_outside(GremlinParser.TraversalPredicate_outsideContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalPredicate_outside()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalPredicate_outside` in interface `GremlinVisitor<P>`
      Overrides:
        `visitTraversalPredicate_outside` in class `GremlinBaseVisitor<P>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_between

          public P visitTraversalPredicate_between(GremlinParser.TraversalPredicate_betweenContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalPredicate_between()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalPredicate_between` in interface `GremlinVisitor<P>`
      Overrides:
        `visitTraversalPredicate_between` in class `GremlinBaseVisitor<P>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_within

          public P visitTraversalPredicate_within(GremlinParser.TraversalPredicate_withinContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalPredicate_within()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalPredicate_within` in interface `GremlinVisitor<P>`
      Overrides:
        `visitTraversalPredicate_within` in class `GremlinBaseVisitor<P>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_without

          public P visitTraversalPredicate_without(GremlinParser.TraversalPredicate_withoutContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalPredicate_without()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalPredicate_without` in interface `GremlinVisitor<P>`
      Overrides:
        `visitTraversalPredicate_without` in class `GremlinBaseVisitor<P>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_not

          public P visitTraversalPredicate_not(GremlinParser.TraversalPredicate_notContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalPredicate_not()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalPredicate_not` in interface `GremlinVisitor<P>`
      Overrides:
        `visitTraversalPredicate_not` in class `GremlinBaseVisitor<P>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_containing

          public P visitTraversalPredicate_containing(GremlinParser.TraversalPredicate_containingContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.traversalPredicate_containing()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalPredicate_containing` in interface `GremlinVisitor<P>`
      Overrides:
        `visitTraversalPredicate_containing` in class `GremlinBaseVisitor<P>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_notContaining

          public P visitTraversalPredicate_notContaining(GremlinParser.TraversalPredicate_notContainingContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.traversalPredicate_notContaining()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalPredicate_notContaining` in interface `GremlinVisitor<P>`
      Overrides:
        `visitTraversalPredicate_notContaining` in class `GremlinBaseVisitor<P>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_notEndingWith

          public P visitTraversalPredicate_notEndingWith(GremlinParser.TraversalPredicate_notEndingWithContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.traversalPredicate_notEndingWith()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalPredicate_notEndingWith` in interface `GremlinVisitor<P>`
      Overrides:
        `visitTraversalPredicate_notEndingWith` in class `GremlinBaseVisitor<P>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_endingWith

          public P visitTraversalPredicate_endingWith(GremlinParser.TraversalPredicate_endingWithContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.traversalPredicate_endingWith()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalPredicate_endingWith` in interface `GremlinVisitor<P>`
      Overrides:
        `visitTraversalPredicate_endingWith` in class `GremlinBaseVisitor<P>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_startingWith

          public P visitTraversalPredicate_startingWith(GremlinParser.TraversalPredicate_startingWithContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.traversalPredicate_startingWith()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalPredicate_startingWith` in interface `GremlinVisitor<P>`
      Overrides:
        `visitTraversalPredicate_startingWith` in class `GremlinBaseVisitor<P>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_notStartingWith

          public P visitTraversalPredicate_notStartingWith(GremlinParser.TraversalPredicate_notStartingWithContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.traversalPredicate_notStartingWith()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalPredicate_notStartingWith` in interface `GremlinVisitor<P>`
      Overrides:
        `visitTraversalPredicate_notStartingWith` in class `GremlinBaseVisitor<P>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.